aboutsummaryrefslogtreecommitdiffstats
path: root/community/py-watchdog/APKBUILD
diff options
context:
space:
mode:
authorFrancesco Colista <fcolista@alpinelinux.org>2016-07-12 12:49:38 +0000
committerFrancesco Colista <fcolista@alpinelinux.org>2016-07-12 12:49:38 +0000
commit24c8e686f48dfeaf865563e81e4dbb4c1dcd991a (patch)
treece99d3d3b9f330dd2dd19eccab09a5dc96534896 /community/py-watchdog/APKBUILD
parentaae0998fb8e4090eb87b91204a26fb99031508a5 (diff)
downloadaports-24c8e686f48dfeaf865563e81e4dbb4c1dcd991a.tar.gz
aports-24c8e686f48dfeaf865563e81e4dbb4c1dcd991a.tar.bz2
aports-24c8e686f48dfeaf865563e81e4dbb4c1dcd991a.tar.xz
community/py-watchdog: moved from testing, added maintainer
Diffstat (limited to 'community/py-watchdog/APKBUILD')
-rw-r--r--community/py-watchdog/APKBUILD40
1 files changed, 40 insertions, 0 deletions
diff --git a/community/py-watchdog/APKBUILD b/community/py-watchdog/APKBUILD
new file mode 100644
index 0000000000..9cb33f4973
--- /dev/null
+++ b/community/py-watchdog/APKBUILD
@@ -0,0 +1,40 @@
+# Contributor: Carlo Landmeter <clandmeter@gmail.com>
+# Maintainer: Francesco Colista <fcolista@alpinelinux.org>
+pkgname=py-watchdog
+pkgver=0.8.3
+pkgrel=0
+pkgdesc="Python API and shell utilities to monitor file system events."
+url="https://github.com/gorakhargosh/watchdog"
+arch="noarch"
+license="Apache 2.0"
+depends="py-pathtools py-yaml py-argh"
+depends_dev=""
+makedepends="$depends_dev py-setuptools python-dev"
+install=""
+subpackages=""
+source="watchdog-$pkgver.tar.gz::https://github.com/gorakhargosh/watchdog/archive/v$pkgver.tar.gz"
+
+_builddir="$srcdir"/watchdog-$pkgver
+prepare() {
+ local i
+ cd "$_builddir"
+ for i in $source; do
+ case $i in
+ *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+ esac
+ done
+}
+
+build() {
+ cd "$_builddir"
+ python setup.py build || return 1
+}
+
+package() {
+ cd "$_builddir"
+ python setup.py install --prefix=/usr --root="$pkgdir" || return 1
+}
+
+md5sums="a5fbff6e21fb665381e4ae1afe3627f9 watchdog-0.8.3.tar.gz"
+sha256sums="e9a27d0ab121fc86217ab833e778c76880aad4ecdb623796f4b7aee9925394ed watchdog-0.8.3.tar.gz"
+sha512sums="a19b2d3bc7a2e42b23050acb0e1baf977b3a5025c6b08fa0491c7d4fd9e6a0270101c440653897467156c324b4942791a7725f044c6c9478352683e8808d8e40 watchdog-0.8.3.tar.gz"